Skip to main content

Update campaign budget and duration

PATCH 
/v1/campaigns/:campaignId/budget

Updates campaign budget, duration, or both. Null or absent properties keep current values. Not available for bonus credit campaigns.

OAuth scopeAccess token type
employer.advertising.campaign

Access token that represents an employer.

Request

Path Parameters

    campaignId stringrequired

    Campaign ID.

Body

required

Be sure to include the Content-Type: application/json header in the request.

    budgetOnetimeLimit number

    If set, the campaign has a single budget for the whole duration of the campaign. You must always specify either budgetOnetimeLimit or budgetMonthlyLimit, but not both.

    The budget appears in the employer account's currency. Sponsored Jobs API parses, stores, and returns the value as an exact decimal fraction, not as a floating point number.

    budgetMonthlyLimit number

    Monthly recurring budget for the campaign. The end date is optional for campaigns with a monthly recurring budget. You must always specify exactly one budgetOnetimeLimit or budgetMonthlyLimit.

    The budget appears in the employer account's currency. Sponsored Jobs API parses, stores, and returns the value as an exact decimal fraction, not as a floating point number.

    budgetFirstMonthBehavior string

    Possible values: [startNowProratedAmount, startNowFullAmount, startNextMonthFullAmount]

    Along with budgetMonthlyLimit and a campaign start date other than the first day of the month, defines the behavior of the first month's budget. Value is:

    ValueFirst month budget
    startNowFullAmount Full monthly budget.
    startNowProratedAmountProportional to days in month after start date.
    startNextMonthFullAmount No budget.

    This table shows the budget for the first month and the subsequent month when the monthly budget is 900 USD, the start date is June 11, and budgetFirstMonthBehavior is set to one of these values:

    ValueJune 11 to 30July 1 to 31
    startNowFullAmount 900 USD900 USD
    startNowProratedAmount 600 USD900 USD
    startNextMonthFullAmount 0 USD900 USD
    startDate date

    Date when the campaign starts sponsoring jobs, in ISO 8601 YYYY-MM-DD format. Default is current date.

    The campaign starts sponsoring jobs at the start of the specified day in US Central Time (CT, US/Central). The start date must be on or after the current date in CT. For example, if the startDate is 2021-01-15, the campaign starts sponsoring on January 15, 2021 at 0:00 AM CT. If the start date is not provided or is the current date, the campaign starts sponsoring immediately.

    Once the campaign is active and spending, you cannot update its startDate. If you wish to temporarily pause a campaign, set its status to PAUSED.

    fixedEndDate date

    Date before when the campaign must stop sponsoring jobs, even if it has remaining unspent budget. Follows the ISO 8601 YYYY-MM-DD format.

    A campaign with a one-time budget (budgetOnetimeLimit) must always have either a fixedEndDate or a targetEndDate, but not both.

    A campaign with a monthly recurring budget (budgetMonthlyLimit) may optionally have a fixedEndDate. Monthly recurring campaigns default to sponsoring jobs until you manually pause or delete the campaign. These are called "evergreen" campaigns. To stop the campaign at the start of a specified day, specify fixedEndDate.

    The campaign stops sponsoring jobs at the start of the specified day in US Central Time (CT, US/Central). The fixedEndDate must be at least one day after the current date in CT, or the startDate of the campaign, if the campaign has one. For example, if the fixed end date is 2021-06-20, the campaign stops on June 20, 2021 at 0:00 AM CT.

    targetEndDate date

    Date before when the campaign should stop sponsoring jobs, though it can continue sponsoring past the specified date if it has not spent its budget yet. Follows the ISO 8601 YYYY-MM-DD format.

    A campaign with a one-time budget (budgetOnetimeLimit) must always have either a fixedEndDate or a targetEndDate, but not both. A campaign with a monthly recurring budget (budgetMonthlyLimit) cannot have a targetEndDate, only a fixedEndDate or no end date.

    The campaign targets the start of the specified day in US Central Time (CT, US/Central). The target end date must be at least one day after the current date in CT, or the startDate of the campaign, if the campaign has one. For example, if the target end date is 2021-06-20, the campaign targets June 20, 2021 at 0:00 AM CT.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    campaignId string

    Campaign ID. of the updated campaign

Loading...

Was this page helpful?